const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bengkalis',
    'Kabupaten Indragiri Hilir',
    'Kabupaten Indragiri Hulu',
    'Kabupaten Kampar',
    'Kabupaten Kepulauan Meranti',
    'Kabupaten Kuantan Singingi',
    'Kabupaten Pelalawan',
    'Kabupaten Rokan Hilir',
    'Kabupaten Rokan Hulu',
    'Kabupaten Siak',
    'Kota Dumai',
    'Kota Pekanbaru'

    // 12
];

exports.seedRiauCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Riau' },
    });

    if (!province) {
        console.error('❌ Province Riau not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Riau City seeded!.');
};